<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/HitIndication/HitDirectionSpike.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d8b/_hit_direction_spike_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HitDirectionSpike.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d8b/_hit_direction_spike_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="keyword">class </span>HitDirectionEffectSpike <span class="keyword">extends</span> <a class="code hl_class" href="../../dc/d39/class_hit_direction_effect_base.html">HitDirectionEffectBase</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../dc/d39/class_hit_direction_effect_base.html#a5625c5906b4fa6caea0a6d1d489c8c29">    4</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d1/d26/class_hit_direction_images_base.html">HitDirectionImagesBase</a> <a class="code hl_function" href="../../dc/d39/class_hit_direction_effect_base.html#a5625c5906b4fa6caea0a6d1d489c8c29">GetImageData</a>()</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    {</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <span class="keyword">typename</span> type = HitDirectionImagesSpike;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        HitDirectionImagesSpike data = HitDirectionImagesSpike.Cast(type.Spawn());</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <span class="keywordflow">return</span> data;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../dc/d39/class_hit_direction_effect_base.html#a7251ac8bfefd669ae056a832c974db8b">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d39/class_hit_direction_effect_base.html#a7251ac8bfefd669ae056a832c974db8b">FinalizePositionCalculation</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="comment">//blobs move around the edges, the rest on elypsis</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="keywordtype">float</span> distance_x = (m_DistanceAdjust * <a class="code hl_variable" href="../../dc/d39/class_hit_direction_effect_base.html#aacc69064ecb36022b9b7239436441ec4">m_SizeXEnf</a>) + (m_SizeXEnf / 2.5);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordtype">float</span> distance_y = (m_DistanceAdjust * <a class="code hl_variable" href="../../dc/d39/class_hit_direction_effect_base.html#ac1ca5d65faeb5f47cdcebe51221a169d">m_SizeYEnf</a>) + (m_SizeYEnf / 2.5);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        m_PosX = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Sin</a>(m_AngleRad) * distance_x;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_PosY = -<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga59a832dc3ede05300c969625f9c012d6">Cos</a>(m_AngleRad) * distance_y;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../dc/d39/class_hit_direction_effect_base.html#aff8e2fd9dd922a79a83502c05df5faa4">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d39/class_hit_direction_effect_base.html#aff8e2fd9dd922a79a83502c05df5faa4">SetIndicatorRotation</a>(<span class="keywordtype">float</span> timeslice = -1.0)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> (m_RotationOverride == HitDirectionConstants.ROTATION_DEFAULT)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            m_LayoutRoot.SetRotation(0,0,<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">RAD2DEG</a> * m_AngleRad,<span class="keyword">true</span>);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            m_LayoutRoot.SetRotation(0,0,m_RotationOverride,<span class="keyword">true</span>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>}</div>
<div class="ttc" id="aclass_hit_direction_effect_base_html"><div class="ttname"><a href="../../dc/d39/class_hit_direction_effect_base.html">HitDirectionEffectBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d80/_hit_direction_arrow_8c_source.html#l00002">HitDirectionArrow.c:3</a></div></div>
<div class="ttc" id="aclass_hit_direction_effect_base_html_a5625c5906b4fa6caea0a6d1d489c8c29"><div class="ttname"><a href="../../dc/d39/class_hit_direction_effect_base.html#a5625c5906b4fa6caea0a6d1d489c8c29">HitDirectionEffectBase::GetImageData</a></div><div class="ttdeci">override HitDirectionImagesBase GetImageData()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d8b/_hit_direction_spike_8c_source.html#l00004">HitDirectionSpike.c:4</a></div></div>
<div class="ttc" id="aclass_hit_direction_effect_base_html_a7251ac8bfefd669ae056a832c974db8b"><div class="ttname"><a href="../../dc/d39/class_hit_direction_effect_base.html#a7251ac8bfefd669ae056a832c974db8b">HitDirectionEffectBase::FinalizePositionCalculation</a></div><div class="ttdeci">override void FinalizePositionCalculation()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d8b/_hit_direction_spike_8c_source.html#l00011">HitDirectionSpike.c:11</a></div></div>
<div class="ttc" id="aclass_hit_direction_effect_base_html_aacc69064ecb36022b9b7239436441ec4"><div class="ttname"><a href="../../dc/d39/class_hit_direction_effect_base.html#aacc69064ecb36022b9b7239436441ec4">HitDirectionEffectBase::m_SizeXEnf</a></div><div class="ttdeci">int m_SizeXEnf</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/db0/_hit_direction_base_8c_source.html#l00020">HitDirectionBase.c:20</a></div></div>
<div class="ttc" id="aclass_hit_direction_effect_base_html_ac1ca5d65faeb5f47cdcebe51221a169d"><div class="ttname"><a href="../../dc/d39/class_hit_direction_effect_base.html#ac1ca5d65faeb5f47cdcebe51221a169d">HitDirectionEffectBase::m_SizeYEnf</a></div><div class="ttdeci">int m_SizeYEnf</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/db0/_hit_direction_base_8c_source.html#l00021">HitDirectionBase.c:21</a></div></div>
<div class="ttc" id="aclass_hit_direction_effect_base_html_aff8e2fd9dd922a79a83502c05df5faa4"><div class="ttname"><a href="../../dc/d39/class_hit_direction_effect_base.html#aff8e2fd9dd922a79a83502c05df5faa4">HitDirectionEffectBase::SetIndicatorRotation</a></div><div class="ttdeci">override void SetIndicatorRotation(float timeslice=-1.0)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d8b/_hit_direction_spike_8c_source.html#l00020">HitDirectionSpike.c:20</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html">HitDirectionImagesBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00002">HitDirectionImagesBase.c:3</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga59a832dc3ede05300c969625f9c012d6"><div class="ttname"><a href="../../d5/d98/group___math.html#ga59a832dc3ede05300c969625f9c012d6">Math::Cos</a></div><div class="ttdeci">static proto float Cos(float angle)</div><div class="ttdoc">Returns cosinus of angle in radians.</div></div>
<div class="ttc" id="agroup___math_html_ga94eedd3910334f450ef989d69ab4e4fd"><div class="ttname"><a href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Math::Sin</a></div><div class="ttdeci">static proto float Sin(float angle)</div><div class="ttdoc">Returns sinus of angle in radians.</div></div>
<div class="ttc" id="agroup___math_html_gad73851cb23a468ee6eb705d0ec76e141"><div class="ttname"><a href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">Math::RAD2DEG</a></div><div class="ttdeci">static const float RAD2DEG</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00016">EnMath.c:16</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_f8c816277ae925e56c057f3459738fdd.html">HitIndication</a></li><li class="navelem"><a class="el" href="../../dc/d8b/_hit_direction_spike_8c.html">HitDirectionSpike.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
